## WMS enumerations and flags WMS enumerations and flags |

## Functions

const gchar * | qmi_wms_storage_type_get_string ()
const gchar * | qmi_wms_ack_indicator_get_string ()
const gchar * | qmi_wms_message_format_get_string ()
const gchar * | qmi_wms_message_mode_get_string ()
const gchar * | qmi_wms_notification_type_get_string ()
const gchar * | qmi_wms_cdma_service_option_get_string ()
const gchar * | qmi_wms_cdma_cause_code_get_string ()
const gchar * | qmi_wms_cdma_error_class_get_string ()
const gchar * | qmi_wms_gsm_umts_rp_cause_get_string ()
const gchar * | qmi_wms_gsm_umts_tp_cause_get_string ()
const gchar * | qmi_wms_message_delivery_failure_type_get_string ()
const gchar * | qmi_wms_message_tag_type_get_string ()
const gchar * | qmi_wms_message_protocol_get_string ()
const gchar * | qmi_wms_message_type_get_string ()
const gchar * | qmi_wms_message_class_get_string ()
const gchar * | qmi_wms_receipt_action_get_string ()
const gchar * | qmi_wms_transfer_indication_get_string ()
const gchar * | qmi_wms_ack_failure_cause_get_string ()

## Types and Values

enum | QmiWmsStorageType
enum | QmiWmsAckIndicator
enum | QmiWmsMessageFormat
enum | QmiWmsMessageMode
enum | QmiWmsNotificationType
enum | QmiWmsCdmaServiceOption
enum | QmiWmsCdmaCauseCode
enum | QmiWmsCdmaErrorClass
enum | QmiWmsGsmUmtsRpCause
enum | QmiWmsGsmUmtsTpCause
enum | QmiWmsMessageDeliveryFailureType
enum | QmiWmsMessageTagType
enum | QmiWmsMessageProtocol
enum | QmiWmsMessageType
enum | QmiWmsMessageClass
enum | QmiWmsReceiptAction
enum | QmiWmsTransferIndication
enum | QmiWmsAckFailureCause

## Object Hierarchy

        GEnum
        ├── QmiWmsAckFailureCause
        ├── QmiWmsAckIndicator
        ├── QmiWmsCdmaCauseCode
        ├── QmiWmsCdmaErrorClass
        ├── QmiWmsCdmaServiceOption
        ├── QmiWmsGsmUmtsRpCause
        ├── QmiWmsGsmUmtsTpCause
        ├── QmiWmsMessageClass
        ├── QmiWmsMessageDeliveryFailureType
        ├── QmiWmsMessageFormat
        ├── QmiWmsMessageMode
        ├── QmiWmsMessageProtocol
        ├── QmiWmsMessageTagType
        ├── QmiWmsMessageType
        ├── QmiWmsNotificationType
        ├── QmiWmsReceiptAction
        ├── QmiWmsStorageType
        ╰── QmiWmsTransferIndication

## Description

This section defines enumerations and flags used in the WMS service interface.

## Functions

### qmi_wms_storage_type_get_string ()

    const gchar *
    qmi_wms_storage_type_get_string (QmiWmsStorageType val);

Gets the nickname string for the QmiWmsStorageType specified at `val` .

#### Parameters

val | a QmiWmsStorageType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_wms_ack_indicator_get_string ()

    const gchar *
    qmi_wms_ack_indicator_get_string (QmiWmsAckIndicator val);

Gets the nickname string for the QmiWmsAckIndicator specified at `val` .

#### Parameters

val | a QmiWmsAckIndicator. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_wms_message_format_get_string ()

    const gchar *
    qmi_wms_message_format_get_string (QmiWmsMessageFormat val);

Gets the nickname string for the QmiWmsMessageFormat specified at `val` .

#### Parameters

val | a QmiWmsMessageFormat. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_wms_message_mode_get_string ()

    const gchar *
    qmi_wms_message_mode_get_string (QmiWmsMessageMode val);

Gets the nickname string for the QmiWmsMessageMode specified at `val` .

#### Parameters

val | a QmiWmsMessageMode. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_wms_notification_type_get_string ()

    const gchar *
    qmi_wms_notification_type_get_string (QmiWmsNotificationType val);

Gets the nickname string for the QmiWmsNotificationType specified at `val` .

#### Parameters

val | a QmiWmsNotificationType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_wms_cdma_service_option_get_string ()

    const gchar *
    qmi_wms_cdma_service_option_get_string
                                   (QmiWmsCdmaServiceOption val);

Gets the nickname string for the QmiWmsCdmaServiceOption specified at `val` .

#### Parameters

val | a QmiWmsCdmaServiceOption. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_wms_cdma_cause_code_get_string ()

    const gchar *
    qmi_wms_cdma_cause_code_get_string (QmiWmsCdmaCauseCode val);

Gets the nickname string for the QmiWmsCdmaCauseCode specified at `val` .

#### Parameters

val | a QmiWmsCdmaCauseCode. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_wms_cdma_error_class_get_string ()

    const gchar *
    qmi_wms_cdma_error_class_get_string (QmiWmsCdmaErrorClass val);

Gets the nickname string for the QmiWmsCdmaErrorClass specified at `val` .

#### Parameters

val | a QmiWmsCdmaErrorClass. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_wms_gsm_umts_rp_cause_get_string ()

    const gchar *
    qmi_wms_gsm_umts_rp_cause_get_string (QmiWmsGsmUmtsRpCause val);

Gets the nickname string for the QmiWmsGsmUmtsRpCause specified at `val` .

#### Parameters

val | a QmiWmsGsmUmtsRpCause. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_wms_gsm_umts_tp_cause_get_string ()

    const gchar *
    qmi_wms_gsm_umts_tp_cause_get_string (QmiWmsGsmUmtsTpCause val);

Gets the nickname string for the QmiWmsGsmUmtsTpCause specified at `val` .

#### Parameters

val | a QmiWmsGsmUmtsTpCause. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_wms_message_delivery_failure_type_get_string ()

    const gchar *
    qmi_wms_message_delivery_failure_type_get_string
                                   (QmiWmsMessageDeliveryFailureType val);

Gets the nickname string for the QmiWmsMessageDeliveryFailureType specified at `val` .

#### Parameters

val | a QmiWmsMessageDeliveryFailureType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_wms_message_tag_type_get_string ()

    const gchar *
    qmi_wms_message_tag_type_get_string (QmiWmsMessageTagType val);

Gets the nickname string for the QmiWmsMessageTagType specified at `val` .

#### Parameters

val | a QmiWmsMessageTagType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_wms_message_protocol_get_string ()

    const gchar *
    qmi_wms_message_protocol_get_string (QmiWmsMessageProtocol val);

Gets the nickname string for the QmiWmsMessageProtocol specified at `val` .

#### Parameters

val | a QmiWmsMessageProtocol. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_wms_message_type_get_string ()

    const gchar *
    qmi_wms_message_type_get_string (QmiWmsMessageType val);

Gets the nickname string for the QmiWmsMessageType specified at `val` .

#### Parameters

val | a QmiWmsMessageType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_wms_message_class_get_string ()

    const gchar *
    qmi_wms_message_class_get_string (QmiWmsMessageClass val);

Gets the nickname string for the QmiWmsMessageClass specified at `val` .

#### Parameters

val | a QmiWmsMessageClass. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_wms_receipt_action_get_string ()

    const gchar *
    qmi_wms_receipt_action_get_string (QmiWmsReceiptAction val);

Gets the nickname string for the QmiWmsReceiptAction specified at `val` .

#### Parameters

val | a QmiWmsReceiptAction. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_wms_transfer_indication_get_string ()

    const gchar *
    qmi_wms_transfer_indication_get_string
                                   (QmiWmsTransferIndication val);

Gets the nickname string for the QmiWmsTransferIndication specified at `val` .

#### Parameters

val | a QmiWmsTransferIndication. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.0

### qmi_wms_ack_failure_cause_get_string ()

    const gchar *
    qmi_wms_ack_failure_cause_get_string (QmiWmsAckFailureCause val);

Gets the nickname string for the QmiWmsAckFailureCause specified at `val` .

#### Parameters

val | a QmiWmsAckFailureCause. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.28

## Types and Values

### enum QmiWmsStorageType

Type of messaging storage.

#### Members

QMI_WMS_STORAGE_TYPE_UIM | Message stored in UIM. |
QMI_WMS_STORAGE_TYPE_NV | Message stored in non-volatile memory. |
QMI_WMS_STORAGE_TYPE_NONE | None. |

Since: 1.0

### enum QmiWmsAckIndicator

Indication of whether ACK needs to be sent or not.

#### Members

QMI_WMS_ACK_INDICATOR_SEND | ACK needs to be sent. |
QMI_WMS_ACK_INDICATOR_DO_NOT_SEND | ACK doesn't need to be sent. |

Since: 1.0

### enum QmiWmsMessageFormat

Type of message.

#### Members

QMI_WMS_MESSAGE_FORMAT_CDMA | CDMA message. |
QMI_WMS_MESSAGE_FORMAT_GSM_WCDMA_POINT_TO_POINT | Point-to-point 3GPP message. |
QMI_WMS_MESSAGE_FORMAT_GSM_WCDMA_BROADCAST | Broadcast 3GPP message. |
QMI_WMS_MESSAGE_FORMAT_MWI | Message Waiting Indicator. |

Since: 1.0

### enum QmiWmsMessageMode

Message mode.

#### Members

QMI_WMS_MESSAGE_MODE_CDMA | Message sent using 3GPP2 technologies. |
QMI_WMS_MESSAGE_MODE_GSM_WCDMA | Message sent using 3GPP technologies. |

Since: 1.0

### enum QmiWmsNotificationType

Type of notification.

#### Members

QMI_WMS_NOTIFICATION_TYPE_PRIMARY | Primary. |
QMI_WMS_NOTIFICATION_TYPE_SECONDARY_GSM | Secondary GSM. |
QMI_WMS_NOTIFICATION_TYPE_SECONDARY_UMTS | Secondary UMTS. |

Since: 1.0

### enum QmiWmsCdmaServiceOption

CDMA service option selection.

#### Members

QMI_WMS_CDMA_SERVICE_OPTION_AUTO | Automatic selection of service option. |
QMI_WMS_CDMA_SERVICE_OPTION_6 | Use service option 6. |
QMI_WMS_CDMA_SERVICE_OPTION_14 | Use service option 14. |

Since: 1.0

### enum QmiWmsCdmaCauseCode

Cause codes when failed to send an SMS in CDMA.

#### Members

QMI_WMS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_VACANT | Address is valid but not yet allocated. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_TRANSLATION_FAILURE | Address is invalid. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_NETWORK_RESOURCE_SHORTAGE | Network resource shortage. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_NETWORK_FAILURE | Network failed. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_NETWORK_INVALID_TELESERVICE_ID | SMS teleservice ID is invalid. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_NETWORK_OTHER | Other network error. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_NO_PAGE_RESPONSE | No page response from destination. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_BUSY | Destination is busy. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_NO_ACK | No acknowledge from destination. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_RESOURCE_SHORTAGE | Destination resource shortage. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_SMS_DELIVERY_POSTPONED | SMS delivery postponed. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_OUT_OF_SERVICE | Destination out of service. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_NOT_AT_ADDRESS | Destination not at address. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_OTHER | Other destination error. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_RADIO_INTERFACE_RESOURCE_SHORTAGE | Radio interface resource shortage. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_RADIO_INTERFACE_INCOMPATIBILITY | Radio interface incompatibility. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_RADIO_INTERFACE_OTHER | Other radio interface error. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_GENERAL_ENCODING | Encoding error. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_GENERAL_SMS_ORIGIN_DENIED | SMS origin denied. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_GENERAL_SMS_DESTINATION_DENIED | SMS destination denied. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_GENERAL_SUPPLEMENTARY_SERVICE_NOT_SUPPORTED | Supplementary service not supported. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_GENERAL_SMS_NOT_SUPPORTED | SMS not supported. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_GENERAL_MISSING_EXPECTED_PARAMETER | Missing optional expected parameter. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_GENERAL_MISSING_MANDATORY_PARAMETER | Missing mandatory parameter. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_GENERAL_UNRECOGNIZED_PARAMETER_VALUE | Unrecognized parameter value. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_GENERAL_UNEXPECTED_PARAMETER_VALUE | Unexpected parameter value. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_GENERAL_USER_DATA_SIZE_ERROR | User data size error. Since 1.18. |
QMI_WMS_CDMA_CAUSE_CODE_GENERAL_OTHER | Other general error. Since 1.18. |

Since: 1.0

### enum QmiWmsCdmaErrorClass

Error class reported from the network when failed to send an SMS in CDMA, or reported by the device when failed to process a transfer-only CDMA message.

#### Members

QMI_WMS_CDMA_ERROR_CLASS_TEMPORARY | Temporary error reported by network. |
QMI_WMS_CDMA_ERROR_CLASS_PERMANENT | Permanent error reported by network. |
QMI_WMS_CDMA_ERROR_CLASS_TEMPORARY_DEVICE | Temporary error reported by device. Since 1.28. |
QMI_WMS_CDMA_ERROR_CLASS_PERMANENT_DEVICE | Permanent error reported by device. Since 1.28. |

Since: 1.0

### enum QmiWmsGsmUmtsRpCause

RP cause codes when failed to send an SMS in GSM/WCDMA.

#### Members

QMI_WMS_GSM_UMTS_RP_CAUSE_UNASSIGNED_NUMBER | Unassigned number. |
QMI_WMS_GSM_UMTS_RP_CAUSE_OPERATOR_DETERMINED_BARRING | Operator determined barring. |
QMI_WMS_GSM_UMTS_RP_CAUSE_CALL_BARRED | Call barred. |
QMI_WMS_GSM_UMTS_RP_CAUSE_RESERVED | Reserved. |
QMI_WMS_GSM_UMTS_RP_CAUSE_SMS_TRANSFER_REJECTED | SMS transfer rejected. |
QMI_WMS_GSM_UMTS_RP_CAUSE_MEMORY_CAPACITY_EXCEEDED | Memory capacity exceeded. |
QMI_WMS_GSM_UMTS_RP_CAUSE_DESTINATION_OUT_OF_ORDER | Destination out of order. |
QMI_WMS_GSM_UMTS_RP_CAUSE_UNIDENTIFIED_SUBSCRIBER | Unidentified subscriber. |
QMI_WMS_GSM_UMTS_RP_CAUSE_FACILITY_REJECTED | Facility rejected. |
QMI_WMS_GSM_UMTS_RP_CAUSE_UNKNOWN_SUBSCRIBER | Unknown subscriber. |
QMI_WMS_GSM_UMTS_RP_CAUSE_NETWORK_OUF_OF_ORDER | Network out of order. |
QMI_WMS_GSM_UMTS_RP_CAUSE_TEMPORARY_FAILURE | Temporary failure. |
QMI_WMS_GSM_UMTS_RP_CAUSE_CONGESTION | Congestion. |
QMI_WMS_GSM_UMTS_RP_CAUSE_RESOURCES_UNAVAILABLE | Resources unavailable. |
QMI_WMS_GSM_UMTS_RP_CAUSE_FACILITY_NOT_SUBSCRIBED | Facility not subscribed. |
QMI_WMS_GSM_UMTS_RP_CAUSE_FACILITY_NOT_IMPLEMENTED | Facility not implemented. |
QMI_WMS_GSM_UMTS_RP_CAUSE_INVALID_SMS_TRANSFER_REFERENCE_VALUE | Invalid SMS transfer reference value. |
QMI_WMS_GSM_UMTS_RP_CAUSE_SEMANTICALLY_INCORRECT_MESSAGE | Semantically incorrect message. |
QMI_WMS_GSM_UMTS_RP_CAUSE_INVALID_MANDATORY_INFO | Invalid mandatory info. |
QMI_WMS_GSM_UMTS_RP_CAUSE_MESSAGE_TYPE_NOT_IMPLEMENTED | Message type not implemented. |
QMI_WMS_GSM_UMTS_RP_CAUSE_MESSAGE_NOT_COMPATIBLE_WITH_SMS | Message not compatible with SMS. |
QMI_WMS_GSM_UMTS_RP_CAUSE_INFORMATION_ELEMENT_NOT_IMPLEMENTED | Information element not implemented. |
QMI_WMS_GSM_UMTS_RP_CAUSE_PROTOCOL_ERROR | Protocol error. |
QMI_WMS_GSM_UMTS_RP_CAUSE_INTERWORKING | Interworking error. |

Since: 1.0

### enum QmiWmsGsmUmtsTpCause

RT cause codes when failed to send an SMS in GSM/WCDMA.

#### Members

QMI_WMS_GSM_UMTS_TP_CAUSE_TELE_INTERWORKING_NOT_SUPPORTED | Tele interworking not supported. |
QMI_WMS_GSM_UMTS_TP_CAUSE_SHORT_MESSAGE_TYPE_0_NOT_SUPPORTED | Short message type 0 not supported. |
QMI_WMS_GSM_UMTS_TP_CAUSE_SHORT_MESSAGE_CANNOT_BE_REPLACED | Short message cannot be replaced. |
QMI_WMS_GSM_UMTS_TP_CAUSE_UNSPECIFIED_PID_ERROR | Unspecified TP-PID error. |
QMI_WMS_GSM_UMTS_TP_CAUSE_DCS_NOT_SUPPORTED | Data coding scheme not supported. |
QMI_WMS_GSM_UMTS_TP_CAUSE_MESSAGE_CLASS_NOT_SUPPORTED | Message class not supported. |
QMI_WMS_GSM_UMTS_TP_CAUSE_UNSPECIFIED_DCS_ERROR | Unspecified data coding scheme error. |
QMI_WMS_GSM_UMTS_TP_CAUSE_COMMAND_CANNOT_BE_ACTIONED | Command cannot be actioned. |
QMI_WMS_GSM_UMTS_TP_CAUSE_COMMAND_UNSUPPORTED | Command unsupported. |
QMI_WMS_GSM_UMTS_TP_CAUSE_UNSPECIFIED_COMMAND_ERROR | Unspecified command error. |
QMI_WMS_GSM_UMTS_TP_CAUSE_TPDU_NOT_SUPPORTED | TPDU not supported. |
QMI_WMS_GSM_UMTS_TP_CAUSE_SC_BUSY | SC busy. |
QMI_WMS_GSM_UMTS_TP_CAUSE_NO_SC_SUBSCRIPTION | No SC subscription. |
QMI_WMS_GSM_UMTS_TP_CAUSE_SC_SYSTEM_FAILURE | SC system failure. |
QMI_WMS_GSM_UMTS_TP_CAUSE_INVALID_SME_ADDRESS | Invalid SME address. |
QMI_WMS_GSM_UMTS_TP_CAUSE_DESTINATION_SME_BARRED | Destination SME barred. |
QMI_WMS_GSM_UMTS_TP_CAUSE_SM_REJECTED_OR_DUPLICATE | SM rejected or duplicate. |
QMI_WMS_GSM_UMTS_TP_CAUSE_VPF_NOT_SUPPORTED | TP-VPF not supported. |
QMI_WMS_GSM_UMTS_TP_CAUSE_VP_NOT_SUPPORTED | TP-VP not supported. |
QMI_WMS_GSM_UMTS_TP_CAUSE_SIM_SMS_STORAGE_FULL | SIM SMS storage full. |
QMI_WMS_GSM_UMTS_TP_CAUSE_NO_SMS_STORAGE_CAPABILITY_IN_SIM | No SMS storage capability in SIM. |
QMI_WMS_GSM_UMTS_TP_CAUSE_MS_ERROR | MS error. |
QMI_WMS_GSM_UMTS_TP_CAUSE_MEMORY_CAPACITY_EXCEEDED | Memory capacity exceeded. |
QMI_WMS_GSM_UMTS_TP_CAUSE_SIM_APPLICATION_TOOLKIT_BUSY | SIM application toolkit busy. |
QMI_WMS_GSM_UMTS_TP_CAUSE_SIM_DATA_DOWNLOAD_ERROR | SIM data download error. |
QMI_WMS_GSM_UMTS_TP_CAUSE_UNSPECIFIED_ERROR | Unspecified error. |

Since: 1.0

### enum QmiWmsMessageDeliveryFailureType

Type of message delivery failure.

#### Members

QMI_WMS_MESSAGE_DELIVERY_FAILURE_TYPE_TEMPORARY | Temporary failure. |
QMI_WMS_MESSAGE_DELIVERY_FAILURE_TYPE_PERMANENT | Permanent failure. |

Since: 1.0

### enum QmiWmsMessageTagType

Type of message tag.

#### Members

QMI_WMS_MESSAGE_TAG_TYPE_MT_READ | Received SMS, already read. |
QMI_WMS_MESSAGE_TAG_TYPE_MT_NOT_READ | Received SMS, not read. |
QMI_WMS_MESSAGE_TAG_TYPE_MO_SENT | Sent SMS. |
QMI_WMS_MESSAGE_TAG_TYPE_MO_NOT_SENT | Not yet sent SMS. |

Since: 1.0

### enum QmiWmsMessageProtocol

Type of message protocol.

#### Members

QMI_WMS_MESSAGE_PROTOCOL_CDMA | CDMA. |
QMI_WMS_MESSAGE_PROTOCOL_WCDMA | WCDMA. |

Since: 1.0

### enum QmiWmsMessageType

Type of message.

#### Members

QMI_WMS_MESSAGE_TYPE_POINT_TO_POINT | Point to point message. |

Since: 1.0

### enum QmiWmsMessageClass

Message class.

#### Members

QMI_WMS_MESSAGE_CLASS_0 | Class 0. |
QMI_WMS_MESSAGE_CLASS_1 | Class 1. |
QMI_WMS_MESSAGE_CLASS_2 | Class 2. |
QMI_WMS_MESSAGE_CLASS_3 | Class 3. |
QMI_WMS_MESSAGE_CLASS_NONE | Class none. |
QMI_WMS_MESSAGE_CLASS_CDMA | Class CDMA. |

Since: 1.0

### enum QmiWmsReceiptAction

Action to perform when a message is received.

#### Members

QMI_WMS_RECEIPT_ACTION_DISCARD | Discard message. |
QMI_WMS_RECEIPT_ACTION_STORE_AND_NOTIFY | Store and notify to client. |
QMI_WMS_RECEIPT_ACTION_TRANSFER_ONLY | Notify to client, which should send back ACK. |
QMI_WMS_RECEIPT_ACTION_TRANSFER_AND_ACK | Notify to client and send back ACK. |
QMI_WMS_RECEIPT_ACTION_UNKNOWN | Unknown action. |

Since: 1.0

### enum QmiWmsTransferIndication

Transfer indication actions.

#### Members

QMI_WMS_TRANSFER_INDICATION_CLIENT | Status reports transferred to the client. |

Since: 1.0

### enum QmiWmsAckFailureCause

Ack failure cause.

#### Members

QMI_WMS_ACK_FAILURE_CAUSE_NO_NETWORK_RESPONSE | No network response. |
QMI_WMS_ACK_FAILURE_CAUSE_NETWORK_RELEASED_LINK | Network released link. |
QMI_WMS_ACK_FAILURE_CAUSE_NOT_SENT | Not sent. |

Since: 1.28